# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="A collection of tools, utilities and mostly unit files to handle a systemd-user sway session"
HOMEPAGE="https://github.com/xdbob/sway-services"
if [[ "${PV}" == 9999 ]] ; then
        inherit git-r3
        EGIT_REPO_URI="https://github.com/xdbob/sway-services.git"
else
        SRC_URI=""
        KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
fi
LICENSE="MIT"
SLOT="0"
IUSE=""

inherit meson

DEPEND=""
RDEPEND="${DEPEND}
	gui-wm/sway
	sys-apps/systemd"
BDEPEND=""

PATCHES="
	"${FILESDIR}"/0001-Fix-systemd-systemctl-path.patch
	"${FILESDIR}"/0002-sway-user-service-fix-deprecated-import-environment-.patch
	"
